javax.management

## Class BadAttributeValueExpException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.management.BadAttributeValueExpException

- All Implemented Interfaces:
    Serializable

      public class BadAttributeValueExpException
      extends Exception

  Thrown when an invalid MBean attribute is passed to a query constructing method. This exception is used internally by JMX during the evaluation of a query. User code does not usually see it.
  Since:
    1.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BadAttributeValueExpException(Object val)` Constructs an `BadAttributeValueExpException` with the specified Object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()` Returns the string representing the object.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BadAttributeValueExpException

          public BadAttributeValueExpException(Object val)

      Constructs an `BadAttributeValueExpException` with the specified Object.
      Parameters:
        `val` - the inappropriate value.

  - ### Method Detail

    - #### toString

          public String toString()

      Returns the string representing the object.
      Overrides:
        `toString` in class `Throwable`
      Returns:
        a string representation of this throwable.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2019, Oracle and/or its affiliates. All rights reserved.